#include <iostream>
#include <fstream>
#include <cstdlib>

#include "MCadena.h"
#include "MCita.h"

using namespace std;
using namespace MCadena;


namespace MCita
{
          char digito (TNatural n); // Auxiliar
          
          TCompara ComparaHoras(THora h1,THora h2)
          {
             TCompara res;
             
             if (h1.hora > h2.hora)
             {
                res = Mayor;
             }
             else if(h2.hora > h1.hora)
             {
                res = Menor;
             }
             else if (h1.minutos > h2.minutos)
             {
                res = Mayor;
             }
             else if (h1.minutos < h2.minutos)
             {
                res = Menor;
             }
             else 
             {
                res = Igual;
             }
                   
             return res;
          }
          
          void Hora_a_Cadena(THora h,TCadena &s)
          {

             s[0]= digito(h.hora/10);
             s[1]= digito(h.hora%10);
             s[2]= ':';
             s[3]= digito(h.minutos/10);
             s[4]= digito(h.minutos%10);
             s[5]= FINCAD;               
          }
          
          
          TCita LeerCita()
          {
              TCita cita;
              
               cout << "Escriba la hora de la cita: "<<endl;
               cin >> cita.Hora.hora;
               cin.ignore();
               cout << "Escriba los minutos de la cita"<<endl;
               cin  >> cita.Hora.minutos;
               cin.ignore();
               cout << "Escriba el motivo de la cita: "<<endl;
               cin.getline(cita.evento,MAXCAD,ENTER);
               
               return cita;
               
          }
         
         
         void EscribirCita(TCita cita)
          {
              TCadena s;
              
              Hora_a_Cadena(cita.Hora,s);
              
              cout << "a las " << s << " tienes que " << cita.evento;

          }
         
         
          void EscribirCitaFichero(TCita cita,ofstream &fich)
          {
              fich << cita.Hora.hora    << ' ';
              fich << cita.Hora.minutos << ' ';
              fich << cita.evento       << endl;
          }
          
          char digito (TNatural n)
          {
               char res;
               
               if ( (n>=0) && (n<10) )
               {
                   res = char ( TNatural('0') + n );
               }
               else
               {
                   res = ' ';
               }
               
               return res;
          }
          
}


